com.holonplatform.vaadin7.navigator.internal

## Class ViewConfiguration.ViewConfigurationException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - com.holonplatform.vaadin7.navigator.internal.ViewConfiguration.ViewConfigurationException

- All Implemented Interfaces:
    Serializable
  Enclosing interface:
    ViewConfiguration

      public static class ViewConfiguration.ViewConfigurationException
      extends RuntimeException

  Exception related to `View` configuration errors.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ViewConfigurationException(String message)` Constructor with error message
    `ViewConfigurationException(String message, Throwable cause)` Constructor with error message and nested exception
    `ViewConfigurationException(Throwable cause)` Constructor with nested exception

  - ### Method Summary

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ViewConfigurationException

          public ViewConfigurationException(String message)

      Constructor with error message
      Parameters:
        `message` - Error message

    - #### ViewConfigurationException

          public ViewConfigurationException(Throwable cause)

      Constructor with nested exception
      Parameters:
        `cause` - Nested exception

    - #### ViewConfigurationException

          public ViewConfigurationException(String message,
                                            Throwable cause)

      Constructor with error message and nested exception
      Parameters:
        `message` - Error message
        `cause` - Nested exception

Copyright © 2019 The Holon Platform. All rights reserved.